Bug 336441 - upgrade to plone 3.0 broke site
upgrade to plone 3.0 broke site
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: plone (Show other bugs)
6
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 13:08 EDT by Thomas J. Baker
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2007-10-17 13:08:45 EDT
Just updated an FC6 server running a plone site and the 3.0 upgrade totaly broke
the site. Downgrading to the old version of plone does not help. Was this
supposed to be a smooth upgrade? Why would there be such a huge change occur in
a stable release? Hopefully the entire site is not lost.
Comment 1 Jonathan Steffan 2007-10-18 15:10:04 EDT
As with all plone migrations, you need to run the migration scripts. Log into
the ZMI and go to portal_migration for all of your sites. From there, you will
be able to run the needed migration.

If you want to downgrade, you will also need to downgrade zope. Most likely the
reason your downgrade didn't work is due to this (Plone 2.5.3 does not run on
Zope 2.10.4)

Migration:
http://plone.org/documentation/manual/upgrade-guide

Current Latest Zope/Plone Combinations:
Zope 2.10.4/Plone 3.0.x
Zope 2.9.8/Plone 2.5.3

Let me know if you need more help.
Comment 2 Thomas J. Baker 2007-10-18 15:29:36 EDT
That was the first thing I tried but the migration failed when I did a dry run.
I then went back to the old versions of things but my site was still broken. I
had to import an old export from August, and copy over my user account which
restored most of the data I had. The only thing I lost was the "related content"
links between different objects. Somehow my plone instance got broken so that it
couldn't seem to find plone routines. When running "zopectl fg", the site had
these errors:


/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView cmf_legacy refers to a non-existing path CMFPlone:skins/cmf_legacy
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_3rdParty refers to a non-existing path
CMFPlone:skins/plone_3rdParty
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_deprecated refers to a non-existing path
CMFPlone:skins/plone_deprecated
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_login refers to a non-existing path CMFPlone:skins/plone_login
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_content refers to a non-existing path
CMFPlone:skins/plone_content
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_images refers to a non-existing path CMFPlone:skins/plone_images
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_forms refers to a non-existing path CMFPlone:skins/plone_forms
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_scripts refers to a non-existing path
CMFPlone:skins/plone_scripts
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_form_scripts refers to a non-existing path
CMFPlone:skins/plone_form_scripts
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_styles refers to a non-existing path CMFPlone:skins/plone_styles
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_templates refers to a non-existing path
CMFPlone:skins/plone_templates
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_portlets refers to a non-existing path
CMFPlone:skins/plone_portlets
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_prefs refers to a non-existing path CMFPlone:skins/plone_prefs
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_wysiwyg refers to a non-existing path
CMFPlone:skins/plone_wysiwyg
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView plone_ecmascript refers to a non-existing path
CMFPlone:skins/plone_ecmascript
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView gruf refers to a non-existing path GroupUserFolder:skins/gruf
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView ResourceRegistries refers to a non-existing path
ResourceRegistries:skins/ResourceRegistries
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView ATContentTypes refers to a non-existing path
ATContentTypes:skins/ATContentTypes
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView kupu refers to a non-existing path kupu:common
  % (self.id, dirpath), UserWarning)
/usr/lib64/zope/lib/python/Products/CMFCore/DirectoryView.py:418: UserWarning:
DirectoryView kupu_plone refers to a non-existing path kupu:plone/kupu_plone_layer
  % (self.id, dirpath), UserWarning)


Comment 3 Jonathan Steffan 2007-10-18 15:44:59 EDT
1) So you ran the migration, do you have the log as to why it failed? Where did
it fail? (I had some issues with source_users missing)

2) Are you using any custom product(s)? Custom skin(s)?

3) Do you still have the "broken" Data.fs?
Comment 4 Thomas J. Baker 2007-10-18 16:00:29 EDT
I don't recall exactly why it failed. I did have the plone weather product
installed but not anything custom that I wrote.

I have a Data.fs but I'm not sure of it's state. I didn't have backups prior to
this event so I can't really go back and recreate the exact conditions.

I'll try to do some more experimenting to see what I can come up with.
Comment 5 Thomas J. Baker 2007-10-18 16:25:54 EDT
So I just upgraded both plone and zope again and tried to migrate my working
site (as described in comment #2) and I get the following errors when going to
portal_migration of ZMI and running upgrade with the dry run option checked:

Result of the attempt...

    * Dry run selected.
    * Starting the migration from version: 2.5.3-final
    * Attempting to upgrade from: 2.5.3-final
    * Set plone GS profile as default
    * Upgrade to: 2.5.4-final, completed
    * Attempting to upgrade from: 2.5.4-final
    * Upgrade to: 2.5.4-2, completed
    * Attempting to upgrade from: 2.5.4-2
    * Upgrade aborted
    * Error type: exceptions.KeyError
    * Error value: 'Products.CMFPlone:plone'
    * File "/usr/lib64/zope/lib/python/Products/CMFPlone/MigrationTool.py", line
210, in upgrade newv, msgs = self._upgrade(newv)
    * File "/usr/lib64/zope/lib/python/Products/CMFPlone/MigrationTool.py", line
321, in _upgrade res = function(self.aq_parent)
    * File
"/usr/lib64/zope/lib/python/Products/CMFPlone/migrations/v3_0/alphas.py", line
97, in three0_alpha1 updateImportStepsFromBaseProfile(portal, out)
    * File
"/usr/lib64/zope/lib/python/Products/CMFPlone/migrations/v3_0/alphas.py", line
1362, in updateImportStepsFromBaseProfile
tool.setBaselineContext("profile-Products.CMFPlone:plone")
    * File "/usr/lib64/zope/lib/python/Products/GenericSetup/tool.py", line 222,
in setBaselineContext self.applyContextById(context_id, encoding)
    * File "/usr/lib64/zope/lib/python/Products/GenericSetup/tool.py", line 227,
in applyContextById context = self._getImportContext(context_id)
    * File "/usr/lib64/zope/lib/python/Products/GenericSetup/tool.py", line 890,
in _getImportContext info = _profile_registry.getProfileInfo(context_id)
    * File "/usr/lib64/zope/lib/python/Products/GenericSetup/registry.py", line
584, in getProfileInfo result = self._profile_info[ profile_id ]
    * End of upgrade path, migration has finished
    * The upgrade path did NOT reach current version
    * Migration has failed
    * Dry run selected, transaction aborted

Going back to the portal_migration page, it says how current site version is
2.5.3-final and file system version is 3.0.2.

More info from the bottom of the page:

Current Plone version information

    * CMF: CMF-2.1.0
    * Debug mode: No
    * PIL: 1.1.6
    * Platform: linux2
    * Plone File System: 3.0.2
    * Plone Instance: 2.5.3-final
    * Python: 2.4.4 (#1, Oct 23 2006, 13:58:18) [GCC 4.1.1 20061011 (Red Hat
4.1.1-30)]
    * Zope: (Zope 2.10.4-final, python 2.4.4, linux2)
Comment 6 Thomas J. Baker 2007-10-18 16:35:15 EDT
I just read in the migration document that the tableless skin is not in plone3
which I was using. I now need to go back to the old versions of plone/zope and
change the skin of my site to see if that is the problem.
Comment 7 Thomas J. Baker 2007-10-18 17:18:22 EDT
A couple of things I found. Simply upgrading and running the new plone/zope
broke my site in such a way that going back to the old versions still left me
with a broken site. I did nothing other than upgrade, see how my site was
broken, tried to dry run the migration which failed, and then went back to the
old version and I ended up with errors like in comment #2. On the good side, I
just found out that if you copy the portal_skins object? from a working site to
the borked one, it fixes it. So I have zero data loss, my original site is back
to what is was before this all began.

I set my site to be plone_default skin and tried the upgrade again but it still
failed like in #5. I'm out of time today but tomorrow I'll be doing more
experiments in getting this site upgraded. Unless you're interested in the
results, you can close this bug. I'll chalk it up to the complexities of plone.
Comment 8 Jonathan Steffan 2007-10-18 18:43:08 EDT
This might be a plone migration bug. You might go upstream with this.

http://dev.plone.org/plone
Comment 9 Thomas J. Baker 2007-10-19 15:18:34 EDT
I got my site converted by getting rid of all extra plone products. I'm now
running 3.0/2.10.4 without problems.

Note You need to log in before you can comment on or make changes to this bug.